# IRremoteESP8266: src/ir_Carrier.h File Reference

ir_Carrier.h File Reference

Carrier A/C. More...

Go to the source code of this file.

## Classes

union | CarrierProtocol
| Native representation of a Carrier A/C message. More...
class | IRCarrierAc64
| Class for handling detailed Carrier 64 bit A/C messages. More...

## Variables

const uint8_t | kCarrierAc64ChecksumOffset = 16
const uint8_t | kCarrierAc64ChecksumSize = 4
const uint8_t | kCarrierAc64Heat = 0b01
const uint8_t | kCarrierAc64Cool = 0b10
const uint8_t | kCarrierAc64Fan = 0b11
const uint8_t | kCarrierAc64FanAuto = 0b00
const uint8_t | kCarrierAc64FanLow = 0b01
const uint8_t | kCarrierAc64FanMedium = 0b10
const uint8_t | kCarrierAc64FanHigh = 0b11
const uint8_t | kCarrierAc64MinTemp = 16
const uint8_t | kCarrierAc64MaxTemp = 30
const uint8_t | kCarrierAc64TimerMax = 9
const uint8_t | kCarrierAc64TimerMin = 1

## Detailed Description

Carrier A/C.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1127
  https://docs.google.com/spreadsheets/d/1EZy78L0cn1KDIX1aKq2biptejFqCjD5HO3tLiRvXf48/edit#gid=0

## Variable Documentation

## kCarrierAc64ChecksumOffset

const uint8_t kCarrierAc64ChecksumOffset = 16

## kCarrierAc64ChecksumSize

const uint8_t kCarrierAc64ChecksumSize = 4

## kCarrierAc64Cool

const uint8_t kCarrierAc64Cool = 0b10

## kCarrierAc64Fan

const uint8_t kCarrierAc64Fan = 0b11

## kCarrierAc64FanAuto

const uint8_t kCarrierAc64FanAuto = 0b00

## kCarrierAc64FanHigh

const uint8_t kCarrierAc64FanHigh = 0b11

## kCarrierAc64FanLow

const uint8_t kCarrierAc64FanLow = 0b01

## kCarrierAc64FanMedium

const uint8_t kCarrierAc64FanMedium = 0b10

## kCarrierAc64Heat

const uint8_t kCarrierAc64Heat = 0b01

## kCarrierAc64MaxTemp

const uint8_t kCarrierAc64MaxTemp = 30

## kCarrierAc64MinTemp

const uint8_t kCarrierAc64MinTemp = 16

## kCarrierAc64TimerMax

const uint8_t kCarrierAc64TimerMax = 9

## kCarrierAc64TimerMin

const uint8_t kCarrierAc64TimerMin = 1